## pngcrush 1.6.4

=== Makefile ===
# Sample makefile for pngcrush using gcc and GNU make.
# Glenn Randers-Pehrson
# Last modified:  19 February 2005
#
# Invoke this makefile from a shell prompt in the usual way; for example:
#
#	make -f makefile.gcc
#
# This makefile builds a dynamically linked executable.

# macros --------------------------------------------------------------------

GAS_VERSION := $(shell as --version | grep "GNU assembler" | sed -e 's/GNU assembler //' -e 's/ .*//')

# uncomment these 2 lines only if you are using an external copy of libpng:
PNGINC = /usr/local/include
PNGLIB = /usr/local/lib
# uncomment these 2 lines only if you are using an external copy of zlib:
ZINC = /usr/local/include
ZLIB = /usr/local/lib

CC = gcc
LD = gcc
RM = rm -f
#CFLAGS = -I. -O -Wall
#CFLAGS = -I. -O3 -fomit-frame-pointer -Wall -DPNG_USE_PNGGCCRD
# CFLAGS = -I. -O3 -fomit-frame-pointer -Wall -DPNG_USE_PNGGCCRD \
         -DGAS_VERSION="\"${GAS_VERSION}\""
CFLAGS = -I${ZINC} -I. -g -O3 -fomit-frame-pointer -Wall -DPNG_USE_PNGGCCRD \
#         -DGAS_VERSION="\"${GAS_VERSION}\""
# [note that -Wall is a gcc-specific compilation flag ("all warnings on")]
LDFLAGS =
O = .o
E =

PNGCRUSH  = pngcrush

# LIBS = -lm
LIBS = -L$(PNGLIB) -lpng -lz -lm
# LIBS = -lpng -lz -lm
#LIBS = ${ZLIB}/libz.a -lm

# uncomment these 4 lines only if you are NOT using an external copy of zlib:
# ZHDR = zlib.h
# ZOBJS  = adler32$(O) compress$(O) crc32$(O) deflate$(O) gzio$(O) \
#  	 infback$(O) inffast$(O) inflate$(O) inftrees$(O) \
#  	 trees$(O) uncompr$(O) zutil$(O)

OBJS  = pngcrush$(O)
#	png$(O) pngerror$(O) pngget$(O) pngmem$(O) \
#	pngpread$(O) pngread$(O) pngrio$(O) pngrtran$(O) pngrutil$(O) \
#	pngset$(O) pngtrans$(O) pngwio$(O) pngwrite$(O) pnggccrd$(O) \
#	pngwtran$(O) pngwutil$(O) $(ZOBJS)

EXES = $(PNGCRUSH)$(E)


# implicit make rules -------------------------------------------------------

.c$(O): png.h cexcept.h $(ZHDR)
	$(CC) -c $(CFLAGS) $<
#.c$(O): png.h pngconf.h pngcrush.h cexcept.h $(ZHDR)
#	$(CC) -c $(CFLAGS) $<


# dependencies --------------------------------------------------------------

all:  $(EXES)

png.h:
	ln -s $(PNGINC)/png.h png.h
 
pngcrush$(O): pngcrush.c cexcept.h
	$(CC) -c $(CFLAGS) $<
# pngcrush$(O): pngcrush.c png.h pngconf.h pngcrush.h cexcept.h $(ZHDR)
# 	$(CC) -c $(CFLAGS) $<

$(PNGCRUSH)$(E): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

# maintenance ---------------------------------------------------------------

clean:
	$(RM) $(EXES) $(OBJS) png.h

install:
	mkdir -p $(DESTDIR)/usr/bin/
	cp $(PNGCRUSH)$(E) $(DESTDIR)/usr/bin/
	chmod 0755 $(DESTDIR)/usr/bin/$(PNGCRUSH)$(E)

## pngcrush 1.7.9

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,6 @@
 
 # macros --------------------------------------------------------------------
 
-GAS_VERSION := $(shell as --version | grep "GNU assembler" | sed -e 's/GNU assembler //' -e 's/ .*//')
-
 # uncomment these 2 lines only if you are using an external copy of libpng:
 PNGINC = /usr/local/include
 PNGLIB = /usr/local/lib
@@ -23,11 +21,8 @@
 LD = gcc
 RM = rm -f
 #CFLAGS = -I. -O -Wall
-#CFLAGS = -I. -O3 -fomit-frame-pointer -Wall -DPNG_USE_PNGGCCRD
-# CFLAGS = -I. -O3 -fomit-frame-pointer -Wall -DPNG_USE_PNGGCCRD \
-         -DGAS_VERSION="\"${GAS_VERSION}\""
-CFLAGS = -I${ZINC} -I. -g -O3 -fomit-frame-pointer -Wall -DPNG_USE_PNGGCCRD \
-#         -DGAS_VERSION="\"${GAS_VERSION}\""
+#CFLAGS = -I. -O3 -fomit-frame-pointer -Wall
+CFLAGS = -I${ZINC} -I. -g -O3 -fomit-frame-pointer -Wall
 # [note that -Wall is a gcc-specific compilation flag ("all warnings on")]
 LDFLAGS =
 O = .o
@@ -42,14 +37,14 @@
 
 # uncomment these 4 lines only if you are NOT using an external copy of zlib:
 # ZHDR = zlib.h
-# ZOBJS  = adler32$(O) compress$(O) crc32$(O) deflate$(O) gzio$(O) \
+# ZOBJS  = adler32$(O) compress$(O) crc32$(O) deflate$(O) \
 #  	 infback$(O) inffast$(O) inflate$(O) inftrees$(O) \
 #  	 trees$(O) uncompr$(O) zutil$(O)
 
 OBJS  = pngcrush$(O)
 #	png$(O) pngerror$(O) pngget$(O) pngmem$(O) \
 #	pngpread$(O) pngread$(O) pngrio$(O) pngrtran$(O) pngrutil$(O) \
-#	pngset$(O) pngtrans$(O) pngwio$(O) pngwrite$(O) pnggccrd$(O) \
+#	pngset$(O) pngtrans$(O) pngwio$(O) pngwrite$(O) \
 #	pngwtran$(O) pngwutil$(O) $(ZOBJS)
 
 EXES = $(PNGCRUSH)$(E)
@@ -59,7 +54,7 @@
 
 .c$(O): png.h cexcept.h $(ZHDR)
 	$(CC) -c $(CFLAGS) $<
-#.c$(O): png.h pngconf.h pngcrush.h cexcept.h $(ZHDR)
+#.c$(O): png.h pngconf.h pngcrush.h cexcept.h pngpriv.h $(ZHDR)
 #	$(CC) -c $(CFLAGS) $<

=== debian/changelog ===
pngcrush (1.7.9-1) unstable; urgency=low

  * New upstream release (1.7.9-nolib);
    - Fix crash if argument of -m is out of range (Closes: #561492).
  * Updated Standards-Version to 3.8.4 (no changes needed);
  * Convert package to the new format 3.0 (quilt);
    - Remove now unneeded debian/README.source.
  * Updated patches to conform to DEP-3.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 12 Mar 2010 17:40:13 -0300

pngcrush (1.7.0-1) unstable; urgency=low

  * New upstream release (1.7.0-nolib);
  * Add README.source;
  * Updated Standards-Version to 3.8.3 (no changes needed);
  * Refreshed debian/patches/pngcrush_relocate_warning;

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 18 Aug 2009 17:59:48 -0300

pngcrush (1.6.19-1) unstable; urgency=low

  * New upstream release (1.6.19-nolib)
    - Fix erroneous png_error message about "original PNG could not be
      recovered" (Closes: #532281)
  * Upstream changelog is now distributed as an HTML file:
    - Updated debian/rules to install ChangeLog.html
  * Refreshed debian/patches/pngcrush_relocate_warning.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 09 Jun 2009 01:23:58 -0300

pngcrush (1.6.17-1) unstable; urgency=low

  * New upstream release (1.6.17-nolib).
    - debian/patches/add_Makefile: renamed to patch_Makefile
      since upstream now provides a makefile. Patch refreshed
      and comments added.
    - debian/patches/pngcrush_relocate_warning: patch refreshed and
      comments added.
    - create output with new timestamp by default instead of copying
      the input file timestamp; (viz. #510491).
    - see upstream Changelog for more details.
  * debian/copyright: Updated to reflect new dates for new sources.
  * debian/control: Standards Version bumped to 3.8.1. No other
    changes required.
  * debian/pngcrush.sgml: document the new options "-newtimestamp"
    and "-oldtimestamp" which supersede the old option "-time_stamp".
  * Remove misleading reference to CVE-2009-0040 in previous changelog
    entry.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 03 Jun 2009 07:03:51 +0530

pngcrush (1.6.15-1) unstable; urgency=low

  * New upstream release (1.6.15-nolib).
  * Fix previous changelog entry to note change
    to debian/pngcrush.sgml
  * debian/patches/pngcrush_relocate_warning: refreshed.

 -- Kapil Hari Paranjape <kapil@debian.org>  Tue, 03 Mar 2009 10:26:04 +0530

pngcrush (1.6.13-1) unstable; urgency=low

  * New upstream release (1.6.13-nolib).
    - debian/patches/fix_itxt_param_handling: patch
      incorporated upstream so removed.
    - incorporates newer libpng features. 
    - added "-time_stamp" command line directive to ensure
      that output file has new timestamp. (Closes: #510491)
    - see upstream changelog for further details.
  * debian/patches/pngcrush_relocate_warning: refreshed.
  * debian/pngcrush.sgml: add entry for "-time_stamp" command
    line directive.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 26 Feb 2009 14:29:29 +0530

pngcrush (1.6.7-1) unstable; urgency=low

  * New upstream release (1.6.7-nolib).
    - Moved PNG_UINT_CHNK and some other defines from pngcrush.h to pngcrush.c
    - Reject invalid color_type or bit_depth. (Closes: #453721)
  * debian/patches/add_PNG_UINT_defs: patch removed as it is incorporated
    upstream.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 02 Jul 2008 12:25:49 +0530

pngcrush (1.6.6-1) unstable; urgency=low

  * New upstream release (1.6.6-nolib).
    - added dSIG support
    - non new gAMA chunk when writing sRGB chunk
  * Add Makefile since upstream has dropped it.
    - debian/patches/add_Makefile: patch adding the Makefile.
    - debian/rules: add new rule "clean-source" to clean-up using
      the Makefile. Make "clean" rule depend on this rule.
  * debian/patches:
    - fix_itxt_param_handling, pngcrush_relocate_warning:
      patches refreshed
    - png_export_pngcrush.diff, fix_Makefile: patches disabled
    - add_PNG_UINT_defs: patch to add some definitions required
      in pngcrush.c
  * debian/pngcrush.sgml:
    - commented out the "-cc"  and "-no_cc" options which are
      currently disabled upstream. Closes: #485497, #471162
    - expanded description of "Color Types" to indicate that some
      conversions may not work as expected. Closes: #485501.
    - documented "-keep" "-loco" and "-mng" options. Closes: #471159.
    - fixed absence of caret (^) on man page.
  * debian/control:
    - Standards Version: 3.8.0. No other changes required.
    - renamed XS-Vcs-Svn field to Vcs-Svn.
    - moved Homepage from description to its own field.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 11 Jun 2008 21:56:58 +0530

pngcrush (1.6.4-5) unstable; urgency=low

  * debian/control: Added XS-Vcs-Svn tag.
  * debian/patches:
    - fix_itxt_param_handling: pngcrush.c: itxt chunk may gobble 2 command line
      parameters. Closes: #442631.
    - replaced all Makefile patches with single patch fix_Makefile.
    - fix_makefile: defined a new variable "DEFINES" to ease
      compilation with Debian CFLAGS.
    - series: re-ordered patches to make Debian specific patches lower.
    - Refreshed all patches.
  * debian/pngcrush.sgml: modify to note that -itxt command needs
    "a" or "b" to be specified.
  * debian/rules:
    - run make during "build" with Debian CFLAGS. Closes: #443644.
    - fix "clean" rule to catch errors from "make clean".

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon, 24 Sep 2007 16:19:55 +0530

pngcrush (1.6.4-4) unstable; urgency=low

  * debian/watch: fixed sourceforge url.
  * debian/pngcrush.sgml: first line of synopsis now uses "infile
    outfile" instead of list of files. Closes: #411028.
  * debian/patches/pngcrush_relocate_warning: relocated warning about
    different versions to verbose header. Closes: #203020.
  * debian/control: changed all maintainer's email addresses.

 -- Kapil Hari Paranjape <kapil@debian.org>  Sat,  4 Aug 2007 06:37:51 +0530



=== debian/control ===
Source: pngcrush
Section: graphics
Priority: optional
Maintainer: Kapil Hari Paranjape <kapil@debian.org> 
Uploaders: Nelson A. de Oliveira <naoliv@debian.org>
Build-Depends: debhelper (>= 7), docbook-to-man, libpng12-dev, zlib1g-dev
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pngcrush/
Standards-Version: 3.8.4
Homepage: http://pmt.sourceforge.net/pngcrush/

Package: pngcrush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: optimizes PNG (Portable Network Graphics) files
 Pngcrush is an optimizer for PNG (Portable Network Graphics) files. 
 Its main purpose is to reduce the size of the PNG IDAT data stream by trying
 various compression levels and PNG filter methods. It also can be used to
 remove unwanted ancillary chunks, or to add certain chunks including gAMA,
 tRNS, and textual chunks.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Add here commands to configure the package.
	

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE) CFLAGS="$(CFLAGS)"
	/usr/bin/docbook-to-man debian/pngcrush.sgml > debian/pngcrush.1

	touch build-stamp

clean-source:
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean 


clean: clean-source
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/pngcrush.1

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/pngcrush


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman debian/pngcrush.1
	dh_installchangelogs ChangeLog.html
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/pmt/pngcrush-([\d\.]+)-nolib\.tar\.gz debian uupdate

## pngcrush 1.7.65

=== debian/changelog ===
pngcrush (1.7.65-0.1) unstable; urgency=low

  * NMU to fix the more serious problems with this dormant package.
  * New upstream release (Closes: #657855, #612934).
    - Should now build with libpng 1.5 (Closes: #648128).
    - No longer crashes when adding more than two text chunks (Closes: #678436).
    - Upstream has switched to .xz tarballs, follow suit.
    - patches/*: Normalize file names.
    - patches/local_Makefile_adjustments.diff: Refresh.
      Use -Wl,--as-needed to pull in -lm only if actually required.
      Do not attempt to override configuration macros defined by the
      system pngconf.h.
    - patches/local_version_skew_warning_only_if_verbose.diff: Refresh.
  * Build-depend on libpng-dev (Closes: #662471).
  * Bump to debhelper compatibility level 9 and dh-ify.
  * Install upstream changelog.
  * Standards-Version: 3.9.4 (no further changes required).

 -- Zack Weinberg <zackw@panix.com>  Mon, 01 Jul 2013 10:17:54 -0400

=== debian/control ===
Source: pngcrush
Section: graphics
Priority: optional
Maintainer: Kapil Hari Paranjape <kapil@debian.org>
Uploaders: Nelson A. de Oliveira <naoliv@debian.org>
Build-Depends: debhelper (>= 9), docbook-to-man, libpng-dev, zlib1g-dev
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pngcrush/
Standards-Version: 3.9.4
Homepage: http://pmt.sourceforge.net/pngcrush/

Package: pngcrush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: optimizes PNG (Portable Network Graphics) files
 Pngcrush is an optimizer for PNG (Portable Network Graphics) files.
 Its main purpose is to reduce the size of the PNG IDAT data stream by trying
 various compression levels and PNG filter methods. It also can be used to
 remove unwanted ancillary chunks, or to add certain chunks including gAMA,
 tRNS, and textual chunks.

=== debian/watch ===
version=3
http://sf.net/pmt/pngcrush-([\d\.]+)-nolib\.tar\.xz debian uupdate

## pngcrush 1.7.85

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,11 @@
 # macros --------------------------------------------------------------------
 
 # uncomment these 2 lines only if you are using an external copy of libpng:
-PNGINC = /usr/local/include
-PNGLIB = /usr/local/lib
+PNGINC = ${HOME}/include
+PNGLIB = ${HOME}/lib
 # uncomment these 2 lines only if you are using an external copy of zlib:
-ZINC = /usr/local/include
-ZLIB = /usr/local/lib
+ZINC = ${HOME}/include
+ZLIB = ${HOME}/lib
 
 CC = gcc
 LD = gcc
@@ -52,7 +52,7 @@
 
 # implicit make rules -------------------------------------------------------
 
-.c$(O): png.h cexcept.h $(ZHDR)
+.c$(O): cexcept.h $(ZHDR)
 	$(CC) -c $(CFLAGS) $<
 #.c$(O): png.h pngconf.h pngcrush.h cexcept.h pngpriv.h $(ZHDR)
 #	$(CC) -c $(CFLAGS) $<
@@ -62,9 +62,6 @@
 
 all:  $(EXES)
 
-png.h:
-	ln -s $(PNGINC)/png.h png.h
- 
 pngcrush$(O): pngcrush.c cexcept.h
 	$(CC) -c $(CFLAGS) $<
 # pngcrush$(O): pngcrush.c png.h pngconf.h pngcrush.h cexcept.h $(ZHDR)

=== debian/changelog ===
pngcrush (1.7.85-1) unstable; urgency=medium

  * New upstream release.
    - Reworded confusing output words (Closes: #411032)
    - Removed --bit_depth options (Closes: #546267)
    - Fixes color changing bug with small palletes (Closes: #787744)
    - Fixes crash related to argv checks (Closes: #716149)
  * New maintainer.
    - Remove kapil@ from Uploaders (Closes: #738478).
  * Updated packaging location to git instead of svn.
  * Fixed watch file.
  * Updated standards version.

 -- Margarita Manterola <marga@debian.org>  Thu, 04 Jun 2015 22:21:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pngcrush
 Section: graphics
 Priority: optional
-Maintainer: Kapil Hari Paranjape <kapil@debian.org>
-Uploaders: Nelson A. de Oliveira <naoliv@debian.org>
+Maintainer: Margarita Manterola <marga@debian.org>
+Uploaders: Nelson A. de Oliveira <naoliv@debian.org>, Sven Mueller <debian@incase.de>
 Build-Depends: debhelper (>= 9), docbook-to-man, libpng-dev, zlib1g-dev
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pngcrush/
-Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pngcrush.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/pngcrush.git
+Standards-Version: 3.9.6
 Homepage: http://pmt.sourceforge.net/pngcrush/
 
 Package: pngcrush

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/pngcrush.sgml > pngcrush.1
	sed -e '1,/^<pre>$$/d' -e '/<\/pre>/,$$d' < ChangeLog.html > changelog

override_dh_auto_clean:
	dh_auto_clean
	rm -f pngcrush.1 changelog

# without this, the binary may be unnecessarily linked with libm
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

=== debian/watch ===
version=3
http://sf.net/pmt/pngcrush-([\d\.]+)-nolib\.tar\.xz

## pngcrush 1.8.13

=== Makefile ===
# Sample makefile for pngcrush using gcc and GNU make.
# Glenn Randers-Pehrson
# Last modified:  19 February 2005
#
# Invoke this makefile from a shell prompt in the usual way; for example:
#
#	make -f makefile.gcc
#
# This makefile builds a dynamically linked executable.

# macros --------------------------------------------------------------------

# uncomment these 2 lines only if you are using an external copy of libpng:
PNGINC = /usr/local/include
PNGLIB = /usr/local/lib
# uncomment these 2 lines only if you are using an external copy of zlib:
ZINC = /usr/local/include
ZLIB = /usr/local/lib

CC = gcc
LD = gcc
RM = rm -f

CPPFLAGS = -I $(PNGINC)

CFLAGS = -g -O3 -fomit-frame-pointer -Wall
# [note that -Wall is a gcc-specific compilation flag ("all warnings on")]
LDFLAGS =
O = .o
E =

PNGCRUSH  = pngcrush

LIBS = -L$(PNGLIB) -L$(ZLIB) -lpng -lz -lm

OBJS  = pngcrush$(O)

EXES = $(PNGCRUSH)$(E)

# implicit make rules -------------------------------------------------------

.c$(O): cexcept.h $(ZHDR)
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

# dependencies --------------------------------------------------------------


all:  $(EXES)

pngcrush$(O): pngcrush.c cexcept.h
	touch png.h
	mv png.h png.h_embedded
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<
	mv png.h_embedded png.h

$(PNGCRUSH)$(E): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

# maintenance ---------------------------------------------------------------

clean:
	$(RM) $(EXES) $(OBJS)

install:
	mkdir -p $(DESTDIR)/usr/bin/
	cp $(PNGCRUSH)$(E) $(DESTDIR)/usr/bin/
	chmod 0755 $(DESTDIR)/usr/bin/$(PNGCRUSH)$(E)

=== debian/changelog ===
pngcrush (1.8.13-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Helmut Grohne ]
  * Fix FTCBFS: Also use triplet-prefixed gcc as LD.
    Closes: #850927
  * Mark pngcrush Multi-Arch: foreign.
    Closes: #928797

  [ Andreas Tille ]
  * Move packaging to Debian Phototools team
  * Do not build unused Adler32 code
    Closes: #1064160
  * Standards-Version: 4.6.2 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Remove bit_depth option from manpage since it was removed inside
    the code
    Closes: #832958, #964021
  * Recreate manpage using help2man to get current options of the binary
    Closes: #947765
  * Verify that options -q and -s are properly mentioned in recreated
    manpage
    Closes: #953528

 -- Andreas Tille <tille@debian.org>  Mon, 26 Feb 2024 14:50:14 +0100

pngcrush (1.8.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version
  * Decide for latest upstream but found in upstream changelog:
      Version 1.7.87 (built with libpng-1.6.18 and zlib-1.2.8)
        Fixed a double-free bug (CVE-2015-7700). There was a "free" of the
        sPLT chunk structure in pngcrush and then again in png.c (Bug report
        by Brian Carpenter).
    Closes: #874109
  * Standards-Version: 4.3.0
  * Remove custom compression settings in debian/source/options
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 09:07:23 +0100

pngcrush (1.7.85-2) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:46:28 +0200

=== debian/control ===
Source: pngcrush
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Margarita Manterola <marga@debian.org>,
           Sven Mueller <debian@incase.de>
Build-Depends: debhelper-compat (= 13), docbook-to-man, libpng-dev, zlib1g-dev
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngcrush
Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngcrush.git
Standards-Version: 4.6.2
Homepage: http://pmt.sourceforge.net/pngcrush/
Rules-Requires-Root: no

Package: pngcrush
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: optimizes PNG (Portable Network Graphics) files
 Pngcrush is an optimizer for PNG (Portable Network Graphics) files.
 Its main purpose is to reduce the size of the PNG IDAT data stream by trying
 various compression levels and PNG filter methods. It also can be used to
 remove unwanted ancillary chunks, or to add certain chunks including gAMA,
 tRNS, and textual chunks.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'LD=$$(CC)'
	sed -e '1,/^<pre>$$/d' -e '/<\/pre>/,$$d' < ChangeLog.html > changelog

override_dh_auto_clean:
	dh_auto_clean
	rm -f changelog

=== debian/watch ===
version=4
https://sf.net/pmt/pngcrush-([\d\.]+)-nolib\.tar\.xz
